<?php

/*********************
SCRIPTS & ENQUEUEING
*********************/

// loading modernizr and jquery, and reply script
function huxley_scripts_and_styles() {

		// modernizr (without media query polyfill)
		wp_enqueue_script( 'huxley-modernizr', get_template_directory_uri() . '/library/js/libs/modernizr.custom.min.js', array('jquery'), '2.5.3', false );

		
		wp_enqueue_style( 'huxley-scroll-style', get_template_directory_uri() . '/library/css/jquery.mCustomScrollbar.css', array(), '', 'all' );
		wp_enqueue_style( 'huxley-font', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '', 'all' );
		// ie-only style sheet
		wp_enqueue_style( 'huxley-ie-only', get_template_directory_uri() . '/library/css/ie.css', array(), '' );

		// register main stylesheet
		wp_enqueue_style('huxley-fonts', get_template_directory_uri() . '/fonts/fonts.css');
		wp_enqueue_style( 'huxley-stylesheet', get_template_directory_uri() . '/library/css/style.min.css', array(), '', 'all' );
		wp_enqueue_style( 'huxley-main-stylesheet', get_stylesheet_uri(), array(), '', 'all' );

	    // comment reply script for threaded comments
	    if ( is_singular() AND comments_open() AND (get_option('thread_comments') == 1)) {
			  wp_enqueue_script( 'comment-reply' );
	    }

		//adding scripts file in the footer
		wp_enqueue_script( 'huxley-scroll-js', get_template_directory_uri() . '/library/js/jquery.mCustomScrollbar.concat.min.js', array('jquery'), '', true);
		wp_enqueue_script( 'huxley-js', get_template_directory_uri() . '/library/js/scripts.js', array('jquery'), '', true );

		if ( is_home() ){
			wp_enqueue_script( 'imagesloaded', get_template_directory_uri() . '/library/js/imagesloaded.pkgd.js', array('jquery'), '', true);
			wp_enqueue_script( 'cycle2', get_template_directory_uri() . '/library/js/jquery.cycle2.js', array('jquery'), '', true );
			wp_enqueue_script( 'cycle2_tile', get_template_directory_uri() . '/library/js/jquery.cycle2.tile.js' , array('jquery'), '', true);
			wp_enqueue_script( 'cycle2_shuffle', get_template_directory_uri() . '/library/js/jquery.cycle2.shuffle.js', array('jquery'), '', true );
			wp_enqueue_script( 'cycle2_scrollvert', get_template_directory_uri() . '/library/js/jquery.cycle2.scrollVert.js', array('jquery'), '', true );
			wp_enqueue_script( 'huxley-scripts-home', get_template_directory_uri() . '/library/js/scripts-home.js', array('jquery'), '', true );
		}
		

}
/*********************
THEME SUPPORT
*********************/

// Adding WP 3+ Functions & Theme Support
function huxley_theme_support() {

	// wp thumbnails (sizes handled in functions.php)
	add_theme_support( 'post-thumbnails' );
	// default thumb size
	set_post_thumbnail_size(125, 125, true);
	
	// wp custom background (thx to @bransonwerner for update)
	add_theme_support( 'custom-background',
	    array(
	    'default-image' => '',    // background image default
	    'default-color' => 'ffffff',    // background color default (dont add the #)
	    'wp-head-callback' => '_custom_background_cb',
	    'admin-head-callback' => '',
	    'admin-preview-callback' => ''
	    )
	);

	// rss thingy
	add_theme_support('automatic-feed-links');

	add_theme_support( 'title-tag' );

	add_theme_support( 'custom-logo' );

	// registering wp3+ menus
	register_nav_menus(
		array(
			'main-nav' => __( 'The Main Menu', 'the-huxley' ),   // main nav in header
		)
	);

} /* end huxley theme support */


/*********************
SLIDER FUNCTION
*********************/

function huxley_slider_area(){
	if ( get_theme_mod('huxley_display_slider',true) ) :
		$slider_class = '';
	else:
		$slider_class = ' ' . 'slider-hide';
	endif;
	?>
	<?php if(is_home()): ?>
	<div id="slide-wrap" class="full-top-area<?php echo esc_attr( $slider_class ); ?>">

		<div id="load-cycle"></div>
		
		<?php 	
			$args = array('posts_per_page' => 10,'post_status' => 'publish','post__in' => get_option("sticky_posts"));
			$fPosts = new WP_Query( $args );
		?>

		<?php if ( $fPosts->have_posts() ) : ?>

			<div class="cycle-slideshow" 
			<?php if ( get_theme_mod('huxley_slider_effect') ) :
			echo 'data-cycle-fx="' . wp_kses_post( get_theme_mod('huxley_slider_effect') ) . '" data-cycle-tile-count="10"';
			else:
			echo 'data-cycle-fx="scrollHorz"';
			endif;?> 
			data-cycle-slides="> div.slides" 
			<?php if ( get_theme_mod('huxley_slider_timeout') ): 
			$slider_timeout = wp_kses_post( get_theme_mod('huxley_slider_timeout') );
			echo 'data-cycle-timeout="' . $slider_timeout . '000"';
			else:
			echo 'data-cycle-timeout="5000"';
			endif; ?> 
			data-cycle-prev="#sliderprev" data-cycle-next="#slidernext">


				<?php while ( $fPosts->have_posts() ) : $fPosts->the_post();  ?>

					<div class="slides">

						<div id="post-<?php the_ID(); ?>" <?php post_class('post-theme'); ?>>

							<?php 
								$image_full = huxley_catch_that_image(); 
								$gallery_full = huxley_catch_gallery_image_full(); 
							?>

							<?php if ( has_post_thumbnail()) : ?>

								<div class="slide-thumb">
									<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
									<?php the_post_thumbnail( "full" ); ?>
									</a>
									<div class="bg-overlay"></div>
								</div>

								<?php elseif(has_post_format('image') && !empty($image_full)) : ?>
									<div class="slide-thumb">
										<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
										<img class="attachment-full" src="<?php echo esc_url($image_full); ?>">
										</a><div class="bg-overlay"></div>
									</div>

								<?php elseif(has_post_format('gallery') && !empty($gallery_full)) : ?>  
									<div class="slide-thumb">
										<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
										<img class="attachment-full" src="<?php echo esc_url($gallery_full); ?>">
										</a>
										<div class="bg-overlay"></div>
									</div>
									
								<?php else: ?>
									<div class="slide-noimg"></div>

							<?php endif; ?>

						</div>


						<div class="slide-copy-wrap">
							<div class="table">
								<div class="table-cell"> 
									<div class="slide-copy">
										<h2 class="slide-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Read %s', 'the-huxley' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
										<?php the_excerpt(); ?> 
										<a href="#main-header" class="arrow fa fa-angle-down"></a>
									</div>
								</div>
							</div>
						</div>

					</div>

				<?php endwhile; ?>

				<div class="slidernav">
					<a id="sliderprev" href="#" title="<?php _e('Previous', 'the-huxley'); ?>"><span class="fa fa-angle-left"></span></a>
					<a id="slidernext" href="#" title="<?php _e('Next', 'the-huxley'); ?>"><span class="fa fa-angle-right"></span></a>
				</div>

			</div>

		<?php endif; ?>

		<?php wp_reset_postdata(); ?>

		</div> <!-- slider-wrap -->
	<?php endif;
}

/*********************
RELATED POSTS FUNCTION
*********************/

// Related Posts Function (call using huxley_related_posts(); )
function huxley_related_posts() {
	global $post;

	if ( get_theme_mod('huxley_related_posts') ) :
    	$related_class = '';
    else:
    	$related_class = ' ' . 'related-hide';
    endif;
				                
	$related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => 3, 'post__not_in' => array($post->ID) ) ); ?>
    <?php if (!empty($related)) : ?>
        <div class="related posts <?php echo esc_attr( $related_class ); ?>">
            <h3><?php _e('Related Posts','the-huxley'); ?></h3>
            <div class="related-wrap"> 
                <?php if( $related ): foreach( $related as $post ) { ?>
                <?php setup_postdata($post); ?>

                    <div class="related-item">
                      <div class="related-image">
                          <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>">
                            <?php 
                            	$image_thumb = huxley_catch_that_image_thumb(); 
                            	$gallery_thumb = huxley_catch_gallery_image_thumb(); 
                            ?>
                            
                            <?php if ( has_post_thumbnail()):
                            	the_post_thumbnail('huxley-thumb-image-300by300');
                            
                            elseif(has_post_format('gallery') && !empty($gallery_thumb)): 
                            	echo esc_url($gallery_thumb); 
                            
                            elseif(has_post_format('image') && !empty($image_thumb)): 
                            	echo esc_url($image_thumb); 
                            else: ?>
                            	<img src="<?php echo huxley_IMAGES; ?>/blank.jpg">
                            <?php endif; ?>
                          </a>
                      </div>

                      <div class="related-info">
                          <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                      </div>
                       
                    </div>
                
                <?php } endif; wp_reset_postdata(); ?>
                <div class="clear"></div>
              </div>
         </div>
    <?php endif;
} /* end huxley related posts function */